-- For cssls.
local capabilities = vim.lsp.protocol.make_client_capabilities()
capabilities.textDocument.completion.completionItem.snippetSupport = true

return {
  {
    'neovim/nvim-lspconfig',
    opts = {
      servers = {
        cssls = {
          capabilities = capabilities,
        },

        html = {
          filetypes = { 'html', 'liquid' },
        },

        nil_ls = {
          settings = {
            ['nil'] = {
              flake = {
                autoArchive = true,
                autoEvalInputs = true,
              },
            },
          },
        },

        stylelint_lsp = {},
      },
    },
  },
}
